# infra plugin v1.0.7

This plugin sets the infrastructure multiplayer server for these PSP titles:
- [UCUS98615] SOCOM FTB 1 US (not EU)
- [UCUS98645] SOCOM FTB 2 US v1.00 (not EU)

The game will be patched to use the server specified in the config file.  
Upon connection, it will **not** perform a DNS lookup request for an IPv4 address.  
However, it **will** perform one for a domain name server address.

The infrastructure multiplayer mode will then be available unless the server 
specified in the config file is offline, or the plugin is disabled.  
The config file is `PSP/PLUGINS/infra/infra.ini`.

Use this plugin if you don't want to or can't change your system DNS servers, 
or edit your Linux/Windows hosts file.

Once the game is patched (or not e.g. unsupported game), the plugin will exit 
and unload itself to free all the resources used.

## Installation

### For PSP/VITA

1. Connect your PSP to your PC:
   - Using a USB cable:
      1. Connect a USB cable from your PSP USB port to your PC USB port
      2. Turn on your PSP
      3. Scroll left till the end of XMB and press `Connect USB`
      4. PSP is now connected to your PC (a window should've popped up)
   - OR, using the MemoryStick:
      1. Remove the MemoryStick from the PSP
      2. Insert it into your PC MemoryStick port, or SD card port
         if you are using a MemoryStick to SD adapter 
2. Open the root of the connected MemoryStick in the file explorer.  
   You should have a bunch of directories: ISO, PSP, seplugins, etc.  
   In Windows, you can see the connected devices in `My Computer`.
3. In another file explorer window:  
   Open the .zip archive file you downloaded.  
   You should see a `PSP` folder inside the archive.  
4. Extract the `PSP` folder from the archive to the root of the MemoryStick.  
   Note you can drag & drog the folder from one window (zip) to the MemoryStick.  
   If Windows asks you to merge/replace files, choose `Yes for all`.  
5. Go to the directory `seplugins` at the root of your MemoryStick.  
   Create it if it doesn't exist.
6. Open file `GAME.txt` (or create it if it doesn't exist).  
   Add the following line:  
ms0:/PSP/PLUGINS/infra/infra.prx 1
7. Save the file.  
   Disconnect the PSP, or reinsert your MemoryStick back in the PSP.
8. You can boot the game and go to the multiplayer infastructure mode.  
   NOTE: make sure GAME plugins are enabled in the CFW Recovery menu.

### For PPSSPP emulator

You need a version of PPSSPP with network infrastructure support.  
You can find these experimental builds here: https://static.socom.cc/ppsspp/

1. Using the file explorer, go to the `memstick` folder of PPSSPP.  
   The `memstick` folder is your local MemoryStick for PPSSPP.  
   The location of this directory depends on your PPSSPP installation.  
   Generally it only contains a `PSP` folder.  
   eg. Windows: look for a `PPSSPP` folder in your `My Documents` folder.  
   Linux: the `memstick` folder is usually the `/home/$USER/.config/ppsspp` folder (`$USER` being your username). 
2. In another file explorer window:  
   Open the .zip archive file you downloaded.  
   You should see a `PSP` folder inside the archive.
3. Extract the `PSP` folder from the archive to the `memstick` folder.  
   Note you can drag & drog the folder from one window (zip) to the MemoryStick.  
   If Windows asks you to merge/replace files, choose `Yes for all`.
4. Close PPSSPP if it's open.
5. In the `memstick` folder window, go to `PSP/SYSTEM`.  
   Open the file `ppsspp.ini` with a text editor.
6. Search for the text `EnablePlugins` (within the `[General]` section).  
   It should be `EnablePlugins = True`.  
   Replace `False` by `True` otherwise, and save the file.
7. You can boot the game and go to the INFRASTRUCTURE mode.

### Installed files

The following files should be present on your MemoryStick after the installation:
- `PSP/PLUGINS/infra/CHANGELOG.md`
- `PSP/PLUGINS/infra/infra.ini`
- `PSP/PLUGINS/infra/infra.prx`
- `PSP/PLUGINS/infra/plugin.ini`
- `PSP/PLUGINS/infra/README.md`

## Credits 

infra plugin made by Linblow.  
Infrastructure Medius server by 1UP and K3rber0s.

Need to share this plugin?  
Go to https://static.socom.cc/plugins/ and look for `infra_plugin_XXX.zip` (XXX being the version).
